%define upstream_name    XML-Parser-Style-EasyTree
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Parse xml to simple tree
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     XML-Parser-Style-EasyTree-0.09-fix-version-for-cpanplus.patch

BuildRequires: perl(XML::Parser)
BuildRequires: perl(ex::lib)

BuildArch: noarch


Requires: perl(ex::lib)

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -b .cpanplus

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.90.0-8.mga6
+ Revision: 1036043
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.90.0-7.mga6
+ Revision: 934531
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-6.mga5
+ Revision: 748015
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-5.mga5
+ Revision: 686949
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.90.0-4.mga4
+ Revision: 516161
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-3.mga3
+ Revision: 375116
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 jquelin <jquelin> 0.90.0-2.mga3
+ Revision: 326957
- adding missing buildrequires:

* Sat Jan 22 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 32547
- mageia rebuild
- imported package perl-XML-Parser-Style-EasyTree

